/*
	The Malete project - the Z39.2/Z39.50 database framework of OpenIsis.
	Version 0.9.x (patchlevel see file Version)
	Copyright (C) 2001-2004 by Erik Grziwotz, erik@openisis.org

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	See the GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	see README for more information
EOH */
#ifndef TOOL_H

/*
	$Id: tool.h,v 1.3 2005/05/11 08:22:02 kripke Exp $
	interface of the Malete tools
*/

#define TOOL_VERSION "1.0.2"

#include "pw.h"

extern int server ();

#ifndef BUILD_NOCDS
extern int cdsimp (Db *db, Fld *args);
extern int cdsexp (Db *db, Fld *args);
extern int cdsuse ();
#endif

#ifndef BUILD_NOIIF
extern int iifimp (Db *db, Fld *args);
extern int iifexp (Db *db, Fld *args);
extern int iifuse ();
#endif

#define TOOL_H
#endif /* TOOL_H */
