#!/usr/bin/php
<?
ini_set('max_execution_time', '1000000');

require 'Isis.php'; 
$fdt = array();
$db = new Isis_Db($fdt, 'kill', new Isis_Server());
if ( !$db->srv->sock ) {
	echo "could not contact server\n";
	return;
}

$mersenne7 = 0x7ffff; // 7th mersenne prime
$mask      = 0x7fffff;
$quot      = 0x77ffff;


for ($i=1; $i<=10000; $i++) {
	if (!($i & 0xff)) echo "$i\n";
	// just to have some other number, from which we can compute i
	$j = $mask & ($mersenne7 * $i);
	// $idx->append(1, sprintf("%x", $i));
	// $idx->append(2, sprintf("%x", $j));
	$recs = $db->query(sprintf("%x/1", $i), false);
	if (1 != count($recs) || $i != $recs[0]) echo "$i/1\t".join(",", $recs)."\n";
	$recs = $db->query(sprintf("%x/2", $j), false);
	if (1 != count($recs) || $i != $recs[0]) echo "$i/2\t".join(",", $recs)."\n";
}
?>
