#!/usr/bin/php
<?
ini_set('max_execution_time', '1000000');

require 'Isis.php'; 
$fdt = array();
$db = new Isis_Db($fdt, 'kill', new Isis_Server());
if ( !$db->srv->sock ) {
	echo "could not contact server\n";
	return;
}

$mersenne7 = 0x7ffff; // 7th mersenne prime
$mask      = 0x7fffff;
$quot      = 0x77ffff;


for ($i=1; $i<=100000; $i++) {
	// just to have some other number, from which we can compute i
	$j = $mask & ($mersenne7 * $i);
	// if ($i != ($mask & ($quot*$j))) { echo "$i $j broken\n"; return; }
	$idx = new Isis_Rec();
	$idx->head = 'r'.$i."\tf";
	$idx->append(1, sprintf("%x", $i));
	$idx->append(2, sprintf("%x", $j));
	$res = $db->index($idx);
	if (!($i & 0xff)) echo "$i\t$res\n";
}
?>
